%global gem_name linode

Summary: Ruby wrapper for the Linode API
Name: rubygem-%{gem_name}
Version: 0.6.2
Release: 2%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/rick/linode
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ruby(rubygems)
Requires: rubygem(httparty) 
Requires: ruby(abi) = 1.9.1
BuildRequires: rubygems-devel
BuildRequires: rubygem(mocha)
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(httparty)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
This is a wrapper around Linode's automation facilities.

%package doc
Summary: Documentation for %{name}
Group: Documentation

Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation for %{name}.


%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
gem install --local --install-dir %{buildroot}%{gem_dir} \
            --force --rdoc %{SOURCE0}

rm -f %{buildroot}%{gem_instdir}/.gitignore
rm -f %{buildroot}%{gem_instdir}/linode.gemspec

%clean
rm -rf %{buildroot}

%check
pushd %{buildroot}%{gem_instdir}
spec spec
popd

%files
%defattr(-, root, root, -)
%dir %{gem_instdir}
%doc %{gem_instdir}/README
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/MIT-LICENSE
%doc %{gem_instdir}/VERSION
%{gem_libdir}
%{gem_cache}
%{gem_spec}

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_docdir}



%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 25 2010 Michael Stahnke <stahnma@fedoraproject.org> - 0.6.2-1
- Initial package
